> ## Documentation Index
> Fetch the complete documentation index at: https://docs.obvlo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v2orgs host profile

> Retrieve a host profile by ID. Returns the public-safe profile fields; internal fields such as API keys and analytics configuration are excluded.



## OpenAPI

````yaml /api-reference/openapi-stable.json get /v2/orgs/{orgId}/host-profile
openapi: 3.0.3
info:
  title: Obvlo Content Engine
  description: Obvlo Content Engine API
  version: 4.0.0
servers:
  - url: https://api.obvlo.com
security: []
paths:
  /v2/orgs/{orgId}/host-profile:
    get:
      tags:
        - V2 Multilingual
      description: >-
        Retrieve a host profile by ID. Returns the public-safe profile fields;
        internal fields such as API keys and analytics configuration are
        excluded.
      operationId: v2GetHostProfile
      parameters:
        - name: orgId
          in: path
          required: true
          description: Organization Account Number
          schema:
            type: string
        - name: profileId
          in: query
          required: true
          description: Unique profile identifier
          schema:
            type: string
        - name: lang
          in: query
          required: false
          description: >-
            BCP-47 language code (e.g. en-GB). When provided, localizable fields
            are returned as a single string instead of a language map.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  orgId:
                    type: string
                  geoLocation:
                    type: array
                    items:
                      type: number
                    minItems: 2
                    maxItems: 2
                  primaryLocation:
                    type: object
                    properties:
                      displayName:
                        type: string
                      address:
                        type: string
                      locationId:
                        type: string
                      measurement:
                        type: string
                      geoLocation:
                        type: object
                        properties:
                          lat:
                            type: number
                          lng:
                            type: number
                        required:
                          - lat
                          - lng
                        additionalProperties: false
                    required:
                      - displayName
                      - address
                      - locationId
                      - measurement
                    additionalProperties: false
                  searchConfig:
                    type: object
                    properties:
                      searchRadius:
                        type: number
                      guideRanking:
                        type: string
                      listingRanking:
                        type: string
                      maxSearchResults:
                        type: number
                    additionalProperties: false
                  languageCodes:
                    type: array
                    items:
                      type: string
                  defaultLanguageCode:
                    type: string
                  distanceMetric:
                    type: string
                    enum:
                      - imperial
                      - metric
                  currencyCode:
                    type: string
                  currencySymbol:
                    type: string
                  timeZoneName:
                    type: string
                  stage:
                    type: string
                  analytics:
                    type: object
                    properties:
                      googleTagId:
                        type: string
                      facebookPixelId:
                        type: string
                    required:
                      - googleTagId
                      - facebookPixelId
                    additionalProperties: false
                  feedback:
                    type: object
                    properties:
                      npsWatermark:
                        type: number
                      csatLevels:
                        type: object
                        properties:
                          totalEvents:
                            type: number
                          prsClicks:
                            type: number
                          totalPlaceViews:
                            type: number
                          totalPicklistViews:
                            type: number
                          type:
                            type: string
                          validTags:
                            type: array
                            items:
                              type: string
                          askFeedback:
                            type: boolean
                          minSessionDuration:
                            type: number
                          minSessions:
                            type: number
                        required:
                          - totalEvents
                          - prsClicks
                          - totalPlaceViews
                        additionalProperties: false
                    required:
                      - npsWatermark
                      - csatLevels
                    additionalProperties: false
                  integrations:
                    type: object
                    properties:
                      oracleOhip:
                        type: object
                        properties:
                          clientId:
                            type: string
                          clientSecret:
                            type: string
                          username:
                            type: string
                          password:
                            type: string
                          hotelId:
                            type: string
                          hostName:
                            type: string
                        required:
                          - clientId
                          - clientSecret
                          - username
                          - password
                          - hotelId
                          - hostName
                        additionalProperties: false
                      mews:
                        type: object
                        properties:
                          accessToken:
                            type: string
                          clientToken:
                            type: string
                          platformAddress:
                            type: string
                        required:
                          - accessToken
                          - clientToken
                          - platformAddress
                        additionalProperties: false
                    additionalProperties: false
                  tsAPIKey:
                    type: object
                    properties:
                      id:
                        type: number
                      value:
                        type: string
                      createdAt:
                        type: number
                      host:
                        type: string
                    required:
                      - id
                      - value
                      - createdAt
                    additionalProperties: false
                  uiConfig:
                    type: object
                    properties:
                      banner:
                        type: object
                        properties:
                          image:
                            type: object
                            properties:
                              url:
                                type: string
                              path:
                                type: string
                              width:
                                type: number
                              height:
                                type: number
                              classifications:
                                type: array
                                items:
                                  type: string
                              caption:
                                type: string
                              type:
                                type: string
                            required:
                              - url
                              - path
                            additionalProperties: false
                            nullable: true
                          text:
                            type: string
                          backgroundColor:
                            type: string
                          textColor:
                            type: string
                          LogoColor:
                            type: string
                            enum:
                              - dark
                              - light
                          ctaLabel:
                            type: string
                          ctaIconClass:
                            type: string
                          showLogo:
                            type: boolean
                          showLocation:
                            type: boolean
                          showWeather:
                            type: boolean
                        required:
                          - image
                          - text
                          - backgroundColor
                          - textColor
                          - LogoColor
                          - ctaLabel
                          - ctaIconClass
                          - showLogo
                          - showLocation
                          - showWeather
                        additionalProperties: false
                      loadingBanner:
                        type: object
                        properties:
                          image:
                            type: object
                            properties:
                              url:
                                type: string
                              path:
                                type: string
                              width:
                                type: number
                              height:
                                type: number
                              classifications:
                                type: array
                                items:
                                  type: string
                              caption:
                                type: string
                              type:
                                type: string
                            required:
                              - url
                              - path
                            additionalProperties: false
                            nullable: true
                          LogoColor:
                            type: string
                            enum:
                              - dark
                              - light
                          backgroundColor:
                            type: string
                          textColor:
                            type: string
                        required:
                          - image
                          - LogoColor
                          - backgroundColor
                          - textColor
                        additionalProperties: false
                      neighborhoods:
                        type: boolean
                      prsModules:
                        type: array
                        items:
                          type: string
                      preferredTravelMode:
                        type: string
                        enum:
                          - DRIVING
                          - WALKING
                          - BICYCLING
                          - TRANSIT
                      contact:
                        type: object
                        properties:
                          email:
                            type: string
                          phone:
                            type: string
                          website:
                            type: string
                        required:
                          - email
                          - phone
                          - website
                        additionalProperties: false
                      customMapMarkerUrl:
                        type: string
                      featured:
                        type: object
                        properties:
                          label:
                            type: string
                          shortLabel:
                            type: string
                          iconUrl:
                            type: string
                          colors:
                            type: object
                            properties:
                              name:
                                type: string
                              hex:
                                type: string
                              darkContrast:
                                type: boolean
                              hexContrast:
                                type: string
                            required:
                              - name
                              - hex
                              - darkContrast
                              - hexContrast
                            additionalProperties: false
                          cornerRadius:
                            type: object
                            additionalProperties:
                              type: object
                              properties:
                                topLeft:
                                  type: number
                                topRight:
                                  type: number
                                bottomLeft:
                                  type: number
                                bottomRight:
                                  type: number
                              required:
                                - topLeft
                                - topRight
                                - bottomLeft
                                - bottomRight
                              additionalProperties: false
                        required:
                          - label
                          - shortLabel
                          - iconUrl
                          - colors
                          - cornerRadius
                        additionalProperties: false
                    required:
                      - banner
                      - loadingBanner
                      - neighborhoods
                      - prsModules
                      - preferredTravelMode
                    additionalProperties: false
                  branding:
                    type: object
                    properties:
                      theme:
                        type: object
                        properties:
                          colors:
                            type: object
                            properties:
                              primary:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              primary100:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              primary200:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              primary300:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              primary400:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              primary500:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              primary600:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              primary700:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              primary800:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              primary900:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              secondary100:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              secondary200:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              secondary300:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              secondary400:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              secondary500:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              secondary600:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              secondary700:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              secondary800:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              secondary900:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              background:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              backgroundContrast:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              success:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              warning:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              error:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              highEmphasis:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              mediumEmphasis:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              disabled:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              onSurface:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              onSurfaceHighEmphasis:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              onSurfaceMediumEmphasis:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                              onSurfaceDisabled:
                                type: object
                                properties:
                                  textColor:
                                    type: string
                                  backgroundColor:
                                    type: string
                                required:
                                  - textColor
                                  - backgroundColor
                                additionalProperties: false
                            required:
                              - primary
                              - primary100
                              - primary200
                              - primary300
                              - primary400
                              - primary500
                              - primary600
                              - primary700
                              - primary800
                              - primary900
                              - secondary100
                              - secondary200
                              - secondary300
                              - secondary400
                              - secondary500
                              - secondary600
                              - secondary700
                              - secondary800
                              - secondary900
                              - background
                              - backgroundContrast
                              - success
                              - warning
                              - error
                              - highEmphasis
                              - mediumEmphasis
                              - disabled
                              - onSurface
                              - onSurfaceHighEmphasis
                              - onSurfaceMediumEmphasis
                              - onSurfaceDisabled
                            additionalProperties: false
                          fonts:
                            type: object
                            properties:
                              desktop:
                                type: object
                                properties:
                                  header1:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header2:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header3:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header4:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header5:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header6:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  subtitle1:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  subtitle2:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  body1:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  body2:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  button:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  caption:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  captionBold:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  overline:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  overlineBold:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                required:
                                  - header1
                                  - header2
                                  - header3
                                  - header4
                                  - header5
                                  - header6
                                  - subtitle1
                                  - subtitle2
                                  - body1
                                  - body2
                                  - button
                                  - caption
                                  - captionBold
                                  - overline
                                  - overlineBold
                                additionalProperties: false
                              mobile:
                                type: object
                                properties:
                                  header1:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header2:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header3:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header4:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header5:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  header6:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  subtitle1:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  subtitle2:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  body1:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  body2:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  button:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  caption:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  captionBold:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  overline:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                  overlineBold:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      font:
                                        type: string
                                      weight:
                                        type: number
                                      size:
                                        type: number
                                      lineHeight:
                                        type: number
                                      letterSpacing:
                                        type: number
                                    required:
                                      - name
                                      - font
                                      - weight
                                      - size
                                      - lineHeight
                                      - letterSpacing
                                    additionalProperties: false
                                required:
                                  - header1
                                  - header2
                                  - header3
                                  - header4
                                  - header5
                                  - header6
                                  - subtitle1
                                  - subtitle2
                                  - body1
                                  - body2
                                  - button
                                  - caption
                                  - captionBold
                                  - overline
                                  - overlineBold
                                additionalProperties: false
                              customFonts:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    url:
                                      type: string
                                  required:
                                    - name
                                    - url
                                  additionalProperties: false
                            required:
                              - desktop
                              - mobile
                            additionalProperties: false
                        required:
                          - colors
                          - fonts
                        additionalProperties: false
                      colors:
                        type: object
                        properties:
                          primary:
                            type: string
                          background:
                            type: string
                        required:
                          - primary
                          - background
                        additionalProperties: false
                      fonts:
                        type: object
                        properties:
                          primary:
                            type: string
                          secondary:
                            type: string
                          letterSpacingHeaders:
                            type: number
                          letterSpacingBody:
                            type: number
                          lineHeightHeaders:
                            type: number
                          lineHeightBody:
                            type: number
                          fontSizeHeaders:
                            type: number
                          fontSizeBody:
                            type: number
                        required:
                          - primary
                          - secondary
                          - letterSpacingHeaders
                          - letterSpacingBody
                          - lineHeightHeaders
                          - lineHeightBody
                          - fontSizeHeaders
                          - fontSizeBody
                        additionalProperties: false
                      logos:
                        type: object
                        properties:
                          dark:
                            type: string
                          light:
                            type: string
                          attrs:
                            type: object
                            properties:
                              width:
                                type: number
                              height:
                                type: number
                              bannerLogo:
                                type: string
                                enum:
                                  - dark
                                  - light
                              loadingBannnerLogo:
                                type: string
                                enum:
                                  - dark
                                  - light
                            required:
                              - bannerLogo
                              - loadingBannnerLogo
                            additionalProperties: false
                        required:
                          - dark
                          - light
                          - attrs
                        additionalProperties: false
                      customFont:
                        type: object
                        properties:
                          name:
                            type: string
                          url:
                            type: string
                        required:
                          - name
                          - url
                        additionalProperties: false
                      favicon:
                        type: string
                    required:
                      - colors
                      - fonts
                    additionalProperties: false
                  logos:
                    type: array
                    items:
                      type: object
                      properties:
                        description:
                          type: string
                        file:
                          type: object
                          properties:
                            url:
                              type: string
                            path:
                              type: string
                            width:
                              type: number
                            height:
                              type: number
                            classifications:
                              type: array
                              items:
                                type: string
                            caption:
                              type: string
                            type:
                              type: string
                          required:
                            - url
                            - path
                          additionalProperties: false
                        height:
                          type: number
                        logoColor:
                          type: string
                          enum:
                            - dark
                            - light
                        name:
                          type: string
                        url:
                          type: string
                        width:
                          type: number
                      required:
                        - description
                        - file
                        - height
                        - logoColor
                        - name
                        - url
                        - width
                      additionalProperties: false
                  pages:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                        type:
                          type: string
                        enabled:
                          type: boolean
                        path:
                          type: string
                        icons:
                          type: object
                          properties:
                            active:
                              type: string
                            inactive:
                              type: string
                          required:
                            - active
                            - inactive
                          additionalProperties: false
                      required:
                        - label
                        - type
                        - enabled
                        - path
                      additionalProperties: false
                  weather:
                    type: object
                    properties:
                      id:
                        type: number
                      weatherLocation:
                        type: string
                      temperature:
                        type: number
                      tempMetric:
                        type: string
                      icon:
                        type: string
                    additionalProperties: false
                  perks:
                    type: object
                    properties:
                      header:
                        type: string
                      sections:
                        type: array
                        items:
                          type: string
                    required:
                      - header
                      - sections
                    additionalProperties: false
                  socialMedia:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        url:
                          type: string
                        icon:
                          type: string
                        target:
                          type: string
                      required:
                        - name
                        - url
                        - icon
                      additionalProperties: false
                  travellerArchetypes:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        travelPurpose:
                          type: array
                          items:
                            type: string
                        activityTags:
                          type: array
                          items:
                            type: string
                        archetypeTags:
                          type: array
                          items:
                            type: string
                        codeNames:
                          type: array
                          items:
                            type: string
                        travellerTypes:
                          type: array
                          items:
                            type: string
                      required:
                        - id
                        - name
                        - travelPurpose
                        - activityTags
                        - archetypeTags
                        - codeNames
                        - travellerTypes
                      additionalProperties: false
                  redirectUrls:
                    type: array
                    items:
                      type: object
                      properties:
                        url:
                          type: string
                        label:
                          type: string
                        type:
                          type: string
                        enabled:
                          type: boolean
                      required:
                        - url
                        - label
                        - type
                        - enabled
                      additionalProperties: false
                  linkTree:
                    type: object
                    properties:
                      sections:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                            links:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  url:
                                    type: string
                                  icon:
                                    type: string
                                  copyCaption:
                                    type: boolean
                                  type:
                                    type: string
                                  enabled:
                                    type: boolean
                                  trackingEventName:
                                    type: string
                                required:
                                  - label
                                  - url
                                  - icon
                                  - copyCaption
                                additionalProperties: false
                          required:
                            - title
                            - links
                          additionalProperties: false
                    required:
                      - sections
                    additionalProperties: false
                  activeIntegrations:
                    type: array
                    items:
                      type: string
                  embeddedConfigs:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                        updatedBy:
                          type: string
                        createdBy:
                          type: string
                        customIconUrl:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                        selectedLayout:
                          type: string
                          enum:
                            - Blog
                            - Explorer
                            - Playlist
                            - Default
                            - Modular
                        kioskMode:
                          type: boolean
                        disableJustForYou:
                          type: boolean
                        disableAnimations:
                          type: boolean
                        disableSavedListings:
                          type: boolean
                        modules:
                          type: array
                          items:
                            type: string
                            enum:
                              - Banner
                              - Grid
                              - List
                              - Map
                              - Menu
                              - ListMap
                              - FunctionalPanel
                        requirePreferences:
                          type: boolean
                        preferredTravelMode:
                          type: string
                          enum:
                            - DRIVING
                            - WALKING
                            - BICYCLING
                            - TRANSIT
                        menuOptions:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                enum:
                                  - Search
                                  - Curated Guides
                                  - All Guides
                                  - Area Guides
                                  - Just For You
                              label:
                                type: string
                              iconClass:
                                type: string
                            required:
                              - name
                              - label
                              - iconClass
                            additionalProperties: false
                        containerOptions:
                          type: object
                          properties:
                            padding:
                              type: object
                              properties:
                                top:
                                  type: number
                                right:
                                  type: number
                                bottom:
                                  type: number
                                left:
                                  type: number
                              additionalProperties: false
                            maxWidth:
                              type: number
                            map:
                              type: object
                              properties:
                                width:
                                  type: string
                                height:
                                  type: string
                              required:
                                - width
                                - height
                              additionalProperties: false
                          additionalProperties: false
                        drawer:
                          type: boolean
                        drawerDelayMs:
                          type: number
                        gridRows:
                          type: number
                        gridRowsMobile:
                          type: number
                        hideTravel:
                          type: boolean
                        hideGuideHeader:
                          type: boolean
                        hideLanguageSelector:
                          type: boolean
                        lang:
                          type: string
                        cornerRadius:
                          type: object
                          properties:
                            card:
                              type: object
                              properties:
                                topLeft:
                                  type: number
                                topRight:
                                  type: number
                                bottomLeft:
                                  type: number
                                bottomRight:
                                  type: number
                              required:
                                - topLeft
                                - topRight
                                - bottomLeft
                                - bottomRight
                              additionalProperties: false
                            button:
                              type: object
                              properties:
                                topLeft:
                                  type: number
                                topRight:
                                  type: number
                                bottomLeft:
                                  type: number
                                bottomRight:
                                  type: number
                              required:
                                - topLeft
                                - topRight
                                - bottomLeft
                                - bottomRight
                              additionalProperties: false
                          required:
                            - card
                            - button
                          additionalProperties: false
                        experiments:
                          type: object
                          additionalProperties:
                            anyOf:
                              - type: string
                              - type: boolean
                              - type: number
                      required:
                        - id
                        - createdAt
                        - name
                        - selectedLayout
                      additionalProperties: false
                required:
                  - id
                  - name
                  - orgId
                additionalProperties: false
        '400':
          description: No matches
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: key
      in: query

````